Bug 1270873 - Review Request: qt-virt-manager - Qt Virtual Machine Manager
Review Request: qt-virt-manager - Qt Virtual Machine Manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fl@sh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 10:59 EDT by Raphael Groner
Modified: 2015-12-16 05:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alex.mail.1534: fedora‑review+


Attachments (Terms of Use)
licensecheck.txt (169.82 KB, text/plain)
2015-10-14 14:22 EDT, Raphael Groner
no flags Details

  None (edit)
Comment 1 Upstream Release Monitoring 2015-10-12 11:20:58 EDT
raphgro's scratch build of qt-virt-manager-0.16.38-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11415466
Comment 2 Fl@sh 2015-10-12 12:16:52 EDT
I do not mind that you're maintains the package while I am develop it, but I see no need to patch. More, this requires to fix qt-virt-manager.desktop.in yet.

Exec=@PROJ_PREFIX@-virt-manager
to
Exec=virt-manager-@PROJ_PREFIX@
Comment 3 Fl@sh 2015-10-12 12:34:00 EDT
And you must to be ready that qspicewidget part of code maybe soon (after testing and addition a features) reimplemented as an independent/single library.
Also, Qt5 version looks horrible in KDE/Plasma5 environment because of problems with iconTheme(), which promised to fix after Qt5.5 version.
But if you ready...
Comment 4 Raphael Groner 2015-10-12 14:29:28 EDT
It's a common convention to suffix Qt packages with the main version they're built for, see other packages as samples. Only sub packages of main Qt4 and Qt5 packages use it as prefix. Besides that, I'm thinking about skipping Qt4 at all cause its further upstream development is stalled.

Further unbundling of qspicewidget shouldn't be a big issue.
We'll see how good Qt5.5.1 (as now in rawhide) works with qt-virt-manager.

It's no problem to have a package that's under heavy upstream development, therefore Fedora is designed, so we're able to do some beta testing.
Comment 5 Raphael Groner 2015-10-12 14:32:29 EDT
It's called virt-manager-qt5 in AUR, so we should keep that similiar.
https://aur.archlinux.org/packages/virt-manager-qt5/
Comment 6 Raphael Groner 2015-10-12 14:51:42 EDT
Fixed two rpmlint errors: desktop file Exec and description too long.
Links are the same.
Comment 7 Raphael Groner 2015-10-12 15:53:34 EDT
Spec URL: https://raphgro.fedorapeople.org/review/qt/qt-virt-manager/qt-virt-manager.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/qt-virt-manager/qt-virt-manager-0.16.38-3.fc23.src.rpm

%changelog
* Mon Oct 12 2015 Raphael Groner <> - 0.16.38-3
- rename sub packages
Comment 8 Fl@sh 2015-10-14 04:33:01 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1
     or later)", "Unknown or generated". 565 files have unknown license.
     Detailed output of licensecheck in /home/Flash/rpmbuild/SRPMS/qt-virt-
     manager/licensecheck.txt
     Developers notified: https://github.com/F1ash/qt-virt-manager/issues/8#issuecomment-147511081
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/256x256/apps,
     /usr/share/icons/hicolor/256x256, /usr/share/icons/hicolor
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in virt-
     manager-qt4 , virt-manager-qt5
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: virt-manager-qt4-0.16.38-3.fc22.x86_64.rpm
          virt-manager-qt5-0.16.38-3.fc22.x86_64.rpm
          qt-virt-manager-0.16.38-3.fc22.src.rpm
virt-manager-qt4.x86_64: W: spelling-error %description -l en_US libvirt -> liberty
virt-manager-qt4.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
virt-manager-qt4.x86_64: W: no-manual-page-for-binary virt-manager-qt4
virt-manager-qt5.x86_64: W: spelling-error %description -l en_US libvirt -> liberty
virt-manager-qt5.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
virt-manager-qt5.x86_64: W: no-manual-page-for-binary virt-manager-qt5
qt-virt-manager.src: W: spelling-error %description -l en_US libvirt -> liberty
qt-virt-manager.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
3 packages and 0 specfiles checked; 0 errors, 8 warnings.

Reviewer's note: 'backend' is well-known IT-slang word; not critical.
                 GUI application doesn't need in manual page.


Rpmlint (debuginfo)
-------------------
Checking: qt-virt-manager-debuginfo-0.16.38-3.fc22.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
virt-manager-qt5.x86_64: W: spelling-error %description -l en_US libvirt -> liberty
virt-manager-qt5.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
virt-manager-qt5.x86_64: W: no-manual-page-for-binary virt-manager-qt5
virt-manager-qt4.x86_64: W: spelling-error %description -l en_US libvirt -> liberty
virt-manager-qt4.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
virt-manager-qt4.x86_64: W: no-manual-page-for-binary virt-manager-qt4
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Reviewer's note: 'backend' is well-known IT-slang word; not critical.
                 GUI application doen't need in manual page.



Requires
--------
virt-manager-qt5 (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libqtermwidget5.so.0()(64bit)
    libspice-client-glib-2.0.so.8()(64bit)
    libspice-client-glib-2.0.so.8(SPICEGTK_1)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libvirt.so.0()(64bit)
    libvirt.so.0(LIBVIRT_0.0.3)(64bit)
    libvirt.so.0(LIBVIRT_0.1.0)(64bit)
    libvirt.so.0(LIBVIRT_0.1.1)(64bit)
    libvirt.so.0(LIBVIRT_0.10.0)(64bit)
    libvirt.so.0(LIBVIRT_0.10.2)(64bit)
    libvirt.so.0(LIBVIRT_0.2.0)(64bit)
    libvirt.so.0(LIBVIRT_0.2.1)(64bit)
    libvirt.so.0(LIBVIRT_0.3.0)(64bit)
    libvirt.so.0(LIBVIRT_0.3.2)(64bit)
    libvirt.so.0(LIBVIRT_0.4.0)(64bit)
    libvirt.so.0(LIBVIRT_0.4.1)(64bit)
    libvirt.so.0(LIBVIRT_0.5.0)(64bit)
    libvirt.so.0(LIBVIRT_0.6.0)(64bit)
    libvirt.so.0(LIBVIRT_0.6.4)(64bit)
    libvirt.so.0(LIBVIRT_0.7.1)(64bit)
    libvirt.so.0(LIBVIRT_0.7.2)(64bit)
    libvirt.so.0(LIBVIRT_0.7.3)(64bit)
    libvirt.so.0(LIBVIRT_0.8.0)(64bit)
    libvirt.so.0(LIBVIRT_0.8.6)(64bit)
    libvirt.so.0(LIBVIRT_0.9.0)(64bit)
    libvirt.so.0(LIBVIRT_0.9.10)(64bit)
    libvirt.so.0(LIBVIRT_0.9.13)(64bit)
    libvirt.so.0(LIBVIRT_0.9.2)(64bit)
    libvirt.so.0(LIBVIRT_0.9.4)(64bit)
    libvirt.so.0(LIBVIRT_0.9.7)(64bit)
    libvirt.so.0(LIBVIRT_1.2.1)(64bit)
    rtld(GNU_HASH)

virt-manager-qt4 (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libqtermwidget4.so.0()(64bit)
    libspice-client-glib-2.0.so.8()(64bit)
    libspice-client-glib-2.0.so.8(SPICEGTK_1)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libvirt.so.0()(64bit)
    libvirt.so.0(LIBVIRT_0.0.3)(64bit)
    libvirt.so.0(LIBVIRT_0.1.0)(64bit)
    libvirt.so.0(LIBVIRT_0.1.1)(64bit)
    libvirt.so.0(LIBVIRT_0.10.0)(64bit)
    libvirt.so.0(LIBVIRT_0.10.2)(64bit)
    libvirt.so.0(LIBVIRT_0.2.0)(64bit)
    libvirt.so.0(LIBVIRT_0.2.1)(64bit)
    libvirt.so.0(LIBVIRT_0.3.0)(64bit)
    libvirt.so.0(LIBVIRT_0.3.2)(64bit)
    libvirt.so.0(LIBVIRT_0.4.0)(64bit)
    libvirt.so.0(LIBVIRT_0.4.1)(64bit)
    libvirt.so.0(LIBVIRT_0.5.0)(64bit)
    libvirt.so.0(LIBVIRT_0.6.0)(64bit)
    libvirt.so.0(LIBVIRT_0.6.4)(64bit)
    libvirt.so.0(LIBVIRT_0.7.1)(64bit)
    libvirt.so.0(LIBVIRT_0.7.2)(64bit)
    libvirt.so.0(LIBVIRT_0.7.3)(64bit)
    libvirt.so.0(LIBVIRT_0.8.0)(64bit)
    libvirt.so.0(LIBVIRT_0.8.6)(64bit)
    libvirt.so.0(LIBVIRT_0.9.0)(64bit)
    libvirt.so.0(LIBVIRT_0.9.10)(64bit)
    libvirt.so.0(LIBVIRT_0.9.13)(64bit)
    libvirt.so.0(LIBVIRT_0.9.2)(64bit)
    libvirt.so.0(LIBVIRT_0.9.4)(64bit)
    libvirt.so.0(LIBVIRT_0.9.7)(64bit)
    libvirt.so.0(LIBVIRT_1.2.1)(64bit)
    rtld(GNU_HASH)



Provides
--------
virt-manager-qt5:
    application()
    application(virt-manager-qt5.desktop)
    virt-manager-qt5
    virt-manager-qt5(x86-64)

virt-manager-qt4:
    application()
    application(virt-manager-qt4.desktop)
    virt-manager-qt4
    virt-manager-qt4(x86-64)



Source checksums
----------------
https://github.com/F1ash/qt-virt-manager/archive/0.16.38.tar.gz#/qt-virt-manager-0.16.38.tar.gz :
  CHECKSUM(SHA256) this package     : b61a5ae192cf15161da31cfd3f126ddfcf966db2326f49d6df4dfcaaae49e728
  CHECKSUM(SHA256) upstream package : b61a5ae192cf15161da31cfd3f126ddfcf966db2326f49d6df4dfcaaae49e728


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -D DISTTAG=f23 --rpm-spec -n qt-virt-manager-0.16.38-3.fc23.src.rpm
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, EPEL6

APPROVED.
Comment 9 Raphael Groner 2015-10-14 10:26:44 EDT
Thanks! Requested new package via PkgDB.
Comment 10 Fedora Update System 2015-10-14 13:35:10 EDT
qt-virt-manager-0.16.38-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b79a798a98
Comment 11 Raphael Groner 2015-10-14 14:22 EDT
Created attachment 1082922 [details]
licensecheck.txt
Comment 12 Raphael Groner 2015-10-14 14:23:42 EDT
Comment on attachment 1082922 [details]
licensecheck.txt

wrong bug, sorry for the spam
Comment 13 Fedora Update System 2015-10-14 15:34:06 EDT
qt-virt-manager-0.16.38-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-082c512c29
Comment 14 Fedora Update System 2015-10-14 18:52:03 EDT
qt-virt-manager-0.16.38-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qt-virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b79a798a98
Comment 15 Fedora Update System 2015-10-15 01:51:36 EDT
qt-virt-manager-0.16.38-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qt-virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-082c512c29
Comment 16 Fedora Update System 2015-10-31 22:37:19 EDT
qt-virt-manager-0.16.38-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-11-01 16:51:58 EST
qt-virt-manager-0.16.38-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.